## ansible-core 2.12.0

=== test/units/requirements.txt ===
bcrypt ; python_version >= '3.8'  # controller only
passlib ; python_version >= '3.8'  # controller only
pexpect ; python_version >= '3.8'  # controller only
pytz
pywinrm ; python_version >= '3.8'  # controller only
unittest2 ; python_version < '2.7'

=== test/integration/targets/template_jinja2_latest/requirements.txt ===
jinja2 < 2.11 ; python_version < '2.7' # jinja2 2.11 and later require python 2.7 or later
jinja2 ; python_version >= '2.7'

=== debian/changelog ===
ansible-core (2.12.0-1ubuntu0.1) jammy; urgency=medium

  * d/control: switch build-dep from python3-all to python3. (LP: #1969917)
  * d/t/unit: run DEP8 tests with python 3.10.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 12 Aug 2022 09:19:45 -0300

ansible-core (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Drop 0006-use-Cryptodome.patch (fixed upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 18 Nov 2021 13:42:31 +0100

ansible-core (2.11.6-1) experimental; urgency=medium

  * New upstream release (Closes: #977327)
  * Rename source/binary package to ansible-core
  * Upload to experimental (Closes: #995879)
  * Fix issues with 0005_use_py3.patch (Closes: #992107)
  * Fix usage of Cryptodome
  * Fix all unit tests
  * Bump Standards-Version to 4.6.0.1 (no changes needed)
  * Fix several lintian warnings

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 07 Nov 2021 00:40:26 +0100

ansible-base (2.10.5+dfsg-2) experimental; urgency=medium

  * Enable autopkgtests.
  * Fix python interpreter detection (Closes: #983140)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 22 Mar 2021 22:41:46 +0100

ansible-base (2.10.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 10 Feb 2021 01:09:15 +0100

ansible-base (2.10.4-1) experimental; urgency=medium

  * Initial packaging of ansible-base (split out at upstream from ansible)
  * Switch from python3-crypto to python3-pycryptodome (Closes: #971309)
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 09 Jan 2021 23:14:43 +0100

=== debian/control ===
Source: ansible-core
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3,
#               python3-antsibull <!nodoc>,
               python3-pycryptodome,
               python3-jinja2,
               python3-packaging,
#               python3-pygments <!nodoc>,
#               python3-rstcheck <!nodoc>,
               python3-setuptools,
#               python3-straight.plugin <!nodoc>,
#               python3-sphinx <!nodoc>,
#               python3-sphinx-notfound-page <!nodoc>,
#               python3-sphinx-rtd-theme <!nodoc>,
               python3-yaml
#               sphinx-common
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/debian/ansible-core
Vcs-Git: https://salsa.debian.org/debian/ansible-core.git
Homepage: https://www.ansible.com

Package: ansible-core
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openssh-client | python3-paramiko (>= 2.6.0),
         python3-pycryptodome,
         python3-distutils,
         python3-dnspython,
         python3-httplib2,
         python3-jinja2,
         python3-netaddr,
         python3-yaml
Recommends: ansible (>= 4.6.0-1~),
            python3-argcomplete,
            python3-cryptography,
            python3-jmespath,
            python3-kerberos,
            python3-libcloud,
            python3-selinux,
            python3-winrm,
            python3-xmltodict
Suggests: cowsay,
          sshpass
Breaks: ansible (<< 4.6.0-1~), ansible-base
Replaces: ansible (<< 4.6.0-1~), ansible-base
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 This package contains the ansible binaries.

#Package: ansible-doc
#Architecture: all
#Section: doc
#Depends: ${misc:Depends},
#         ${sphinxdoc:Depends},
#         fonts-font-awesome,
#         fonts-roboto-fontface,
#         libjs-jquery,
#         libjs-modernizr,
#         libjs-underscore
#Description: Ansible documentation and examples
# Ansible is a radically simple model-driven configuration management,
# multi-node deployment, and remote task execution system. Ansible works
# over SSH and does not require any software or daemons to be installed
# on remote nodes. Extension modules can be written in any language and
# are transferred to managed machines automatically.
# .
# This package contains HTML documentation and examples.
#Build-Profiles: <!nodoc>

=== debian/tests/control ===
Tests: unit
# Dependencies sourced from:
# - test/lib/ansible_test/_data/requirements/units.txt
# - test/units/requirements.txt
Depends: @,
         git,
         python3-pycryptodome,
         python3-cryptography,
         python3-jinja2,
         python3-mock,
         python3-passlib,
         python3-pexpect,
         python3-pycryptodome,
         python3-pytest,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-tz,
         python3-winrm,
         python3-yaml

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/ansible-core/ ansible-core-(2\.[0-9]+\.[0-9]+).tar.gz

## ansible-core 2.12.4

=== debian/changelog ===
ansible-core (2.12.4-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 29 Mar 2022 17:10:19 +0200

ansible-core (2.12.3-1) unstable; urgency=medium

  * New upstream release
  * Switch build-dep from python3-all to python3 (Closes: #1001040)

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 06 Mar 2022 18:39:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ansible-core
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
+Maintainer: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 12~),

## ansible-core 2.13.4

=== debian/changelog ===
ansible-core (2.13.4-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Sep 2022 16:41:09 +0200

ansible-core (2.13.3-1) unstable; urgency=medium

  * New upstream release 2.13.3
  * Remove patch to preserve debian dir
  * Refresh Debian patches
  * Correctly build man pages
  * Update Build-Depends
  * Bump jinja2 requirements
  * Run autopkgtests against python 3.10
  * support for newer resolvelib (Closes: #1007907)

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 07 Sep 2022 18:05:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,26 @@
 Maintainer: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
 #               python3-antsibull <!nodoc>,
+               python3-docutils,
                python3-pycryptodome,
-               python3-jinja2,
+               python3-jinja2 (>= 3.0.0~),
                python3-packaging,
 #               python3-pygments <!nodoc>,
+               python3-resolvelib,
 #               python3-rstcheck <!nodoc>,
                python3-setuptools,
-#               python3-straight.plugin <!nodoc>,
+               python3-straight.plugin,
 #               python3-sphinx <!nodoc>,
 #               python3-sphinx-notfound-page <!nodoc>,
 #               python3-sphinx-rtd-theme <!nodoc>,
                python3-yaml
 #               sphinx-common
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/debian/ansible-core
 Vcs-Git: https://salsa.debian.org/debian/ansible-core.git
 Homepage: https://www.ansible.com
@@ -33,7 +35,7 @@
          python3-distutils,
          python3-dnspython,
          python3-httplib2,
-         python3-jinja2,
+         python3-jinja2 (>= 3.0.0~),
          python3-netaddr,
          python3-yaml
 Recommends: ansible (>= 4.6.0-1~),

=== debian/rules ===
#!/usr/bin/make -f

DOPACKAGES = $(shell dh_listpackages)
export PYBUILD_DESTDIR=debian/tmp

# Make it easier to build on machines with ansible << 2.10 installed.
export ANSIBLE_SKIP_CONFLICT_CHECK=1

# tmpdir is needed during docs build, as ~ isn't writeable in sbuild
export ANSIBLE_LOCAL_TEMP=tmp/

%:
#	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean \
		--exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~ \
		--exclude=test/integration/targets/collections/collection_root_user/ansible_collections/testns/testcoll/plugins/modules/uses_leaf_mu_flat_import.bak

override_dh_auto_build:
	dh_auto_build
	# manpage documentation
	$(MAKE) docs
ifneq (,$(filter ansible-doc,$(DOPACKAGES)))
	# html documentation
	$(MAKE) webdocs
endif

override_dh_auto_test:
	# For now, disable the tests
	#make tests-nonet

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ansible-core 2.14.1

=== debian/changelog ===
ansible-core (2.14.1-1) unstable; urgency=medium

  * New upstream release
  * autopkgtest: Depend on python3-pytest-forked (Closes: #1025335)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Dec 2022 16:17:44 +0100

ansible-core (2.14.0-1) unstable; urgency=medium

  * New upstream release
  * Use PEP517 build process (Closes: #1024705)
  * Tighten resolvelib dependency (Closes: #1010345)
  * Tighten python3 and pyyaml dependencies
  * Fix autopkgtests (Closes: #1024713)
  * Remove 0007-use-C.UTF-8.patch (fixed upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 29 Nov 2022 01:55:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
+               pybuild-plugin-pyproject,
+               python3 (>= 3.9.0~),
 #               python3-antsibull <!nodoc>,
                python3-docutils,
                python3-pycryptodome,
                python3-jinja2 (>= 3.0.0~),
                python3-packaging,
 #               python3-pygments <!nodoc>,
-               python3-resolvelib,
+               python3-resolvelib (>= 0.5.3~),
+               python3-resolvelib (<< 0.10),
 #               python3-rstcheck <!nodoc>,
                python3-setuptools,
                python3-straight.plugin,
 #               python3-sphinx <!nodoc>,
 #               python3-sphinx-notfound-page <!nodoc>,
 #               python3-sphinx-rtd-theme <!nodoc>,
-               python3-yaml
+               python3-yaml (>= 5.1~)
 #               sphinx-common
 Rules-Requires-Root: no
 Standards-Version: 4.6.1.0
@@ -37,8 +39,8 @@
          python3-httplib2,
          python3-jinja2 (>= 3.0.0~),
          python3-netaddr,
-         python3-yaml
-Recommends: ansible (>= 4.6.0-1~),
+         python3-yaml (>= 5.1~)
+Recommends: ansible (>= 7.0.0-1~),
             python3-argcomplete,
             python3-cryptography,
             python3-jmespath,

=== debian/tests/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
          python3-pycryptodome,
          python3-pytest,
          python3-pytest-mock,
+         python3-pytest-forked,
          python3-pytest-xdist,
          python3-tz,
          python3-winrm,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/ansible-core/ ansible-core-(2\.[0-9]+\.[0-9]+).tar.gz

## ansible-core 2.14.2

=== debian/changelog ===
ansible-core (2.14.2-1) unstable; urgency=medium

  * Bump Standards-Version (no changes needed)
  * New upstream version 2.14.2
  * Acknowledge previous NMU.

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 31 Jan 2023 13:11:22 +0100

ansible-core (2.14.1-2) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Drop superfluous --python 3.10 in autopkgtest (Closes: #1028405)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Jan 2023 10:14:20 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-yaml (>= 5.1~)
 #               sphinx-common
 Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ansible-core
 Vcs-Git: https://salsa.debian.org/debian/ansible-core.git
 Homepage: https://www.ansible.com

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 		--exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~ \
 		--exclude=test/integration/targets/collections/collection_root_user/ansible_collections/testns/testcoll/plugins/modules/uses_leaf_mu_flat_import.bak
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	# manpage documentation
 	$(MAKE) docs
 ifneq (,$(filter ansible-doc,$(DOPACKAGES)))

## ansible-core 2.14.3

=== debian/changelog ===
ansible-core (2.14.3-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 01 Mar 2023 21:06:21 +0100

## ansible-core 2.14.9

=== debian/changelog ===
ansible-core (2.14.9-2) unstable; urgency=medium

  * Fix unit tests

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 19 Aug 2023 02:16:32 +0200

ansible-core (2.14.9-1) unstable; urgency=medium

  * New upstream version 2.14.9
  * Refresh patches
  * Adapt to upstream change of man page building
  * Fix double-build failure (Closes: #1043680)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 18 Aug 2023 23:56:27 +0200

ansible-core (2.14.8-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 18 Jul 2023 13:24:30 +0200

ansible-core (2.14.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh 0005-use-py3.patch
  * Drop 0010-fix-json-uri-subtype.patch (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 17 Jul 2023 15:26:13 +0200

ansible-core (2.14.6-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Remove signature check
  * d/control: Recommend python3-passlib (Closes: #1034251)
  * d/control: Update python3-resolvelib version dependency (Closes: #1037932, #1037443)
  * uri: fix search for json types to include strings in the format xxx/yyy+json
    (Closes: #1037126)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 16 Jun 2023 16:13:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,11 @@
                python3 (>= 3.9.0~),
 #               python3-antsibull <!nodoc>,
                python3-docutils,
-               python3-pycryptodome,
                python3-jinja2 (>= 3.0.0~),
                python3-packaging,
 #               python3-pygments <!nodoc>,
                python3-resolvelib (>= 0.5.3~),
-               python3-resolvelib (<< 0.10),
+               python3-resolvelib (<< 1.1.0),
 #               python3-rstcheck <!nodoc>,
                python3-setuptools,
                python3-straight.plugin,
@@ -33,7 +32,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          openssh-client | python3-paramiko (>= 2.6.0),
-         python3-pycryptodome,
          python3-distutils,
          python3-dnspython,
          python3-httplib2,
@@ -46,6 +44,7 @@
             python3-jmespath,
             python3-kerberos,
             python3-libcloud,
+            python3-passlib,
             python3-selinux,
             python3-winrm,
             python3-xmltodict

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,13 @@
 		--exclude=test/units/inventory_test_data/group_vars/noparse/all.yml~ \
 		--exclude=test/integration/targets/collections/collection_root_user/ansible_collections/testns/testcoll/plugins/modules/uses_leaf_mu_flat_import.bak
 
+	# now not part of the package anymore
+	rm -Rf docs/man/
+
 execute_after_dh_auto_build:
 	# manpage documentation
-	$(MAKE) docs
+	mkdir -p docs/man/man1/
+	/usr/bin/python3 packaging/cli-doc/build.py man --output-dir docs/man/man1/
 ifneq (,$(filter ansible-doc,$(DOPACKAGES)))
 	# html documentation
 	$(MAKE) webdocs

=== debian/tests/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 # - test/units/requirements.txt
 Depends: @,
          git,
-         python3-pycryptodome,
          python3-cryptography,
          python3-jinja2,
          python3-mock,
          python3-passlib,
          python3-pexpect,
-         python3-pycryptodome,
          python3-pytest,
          python3-pytest-mock,
          python3-pytest-forked,

## ansible-core 2.14.16

=== debian/changelog ===
ansible-core (2.14.16-0+deb12u1) bookworm; urgency=medium

  * New stable release (Closes: #1070193)
  * New upstream version 2.14.16
  * Bugfix-only release to bookworm, fixing the following security issues:
    - Address issue where ANSIBLE_NO_LOG was ignored (CVE-2024-0690)
    - Address issues where internal templating can cause unsafe variables to
      lose their unsafe designation (CVE-2023-5764)
    - Prevent roles from using symlinks to overwrite files outside of the
      installation directory (CVE-2023-5115)
  * Update d/gbp.conf to point to bookworm
  * Update d/control Vcs-Git field to point to bookworm
  * Update watch file to accomodate a common upstream typo
  * d/gbp.conf: Update upstream branch
  * d/gbp.conf: set merge-mode replace by default
  * d/gbp.conf: Sign tags by default
  * autopkgtests: Add dep to python3-systemd

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Jun 2024 16:52:07 +0200

ansible-core (2.14.13-1) unstable; urgency=medium

  * New upstream version 2.14.13
  * Update package to conform to DEP-14 packaging layout
  * Update dep3 patch headers

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 12 Dec 2023 11:20:17 +0100

ansible-core (2.14.11-2) unstable; urgency=medium

  * Enforce locale to ensure it builds reproducibly
  * Fix facter when puppet not present (Closes: #1055616)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 10 Nov 2023 13:50:13 +0100

ansible-core (2.14.11-1) unstable; urgency=medium

  * New upstream version 2.14.11
  * Fix galaxy tests
  * Fix lintian override
  * Update changelog and release to unstable

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 20 Oct 2023 19:41:09 +0200

ansible-core (2.14.10-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 12 Sep 2023 12:27:50 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
          python3-pytest-mock,
          python3-pytest-forked,
          python3-pytest-xdist,
+         python3-systemd,
          python3-tz,
          python3-winrm,
          python3-yaml

## ansible-core 2.14.18

=== debian/changelog ===
ansible-core (2.14.18-0+deb12u2) bookworm; urgency=medium

  * Update integration test dependencies
  * Update integration test restrictions

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 03 Jan 2025 12:15:50 +0100

ansible-core (2.14.18-0+deb12u1) bookworm; urgency=medium

  [ Lee Garrett ]
  * New stable bugfix release
  * Add integration tests to autopkgtest
  * Fix CVE-2024-11079: This vulnerability allows attackers to bypass unsafe
    content protections using the hostvars object to reference and execute
    templated content. This issue can lead to arbitrary code execution if remote
    data or module outputs are improperly templated within playbooks.

  [ Bastien Roucariès ]
  * Fix CVE-2024-8775: A flaw was found in Ansible,
    where sensitive information stored in Ansible Vault files can be exposed in
    plaintext during the execution of a playbook. This occurs when using tasks
    such as include_vars to load vaulted variables without setting the no_log:
    true parameter, resulting in sensitive data being printed in the playbook
    output or logs. This can lead to the unintentional disclosure of secrets
    like passwords or API keys, compromising security and potentially allowing
    unauthorized access or actions. (Closes: #1082851)
  * Fix CVE-2024-9902: A flaw was found in Ansible.
    The ansible-core `user` module can allow an unprivileged user to silently
    create or replace the contents of any file on any system path and take
    ownership of it when a privileged user executes the `user` module against
    the unprivileged user's home directory. If the unprivileged user has
    traversal permissions on the directory containing the exploited target file,
    they retain full control over the contents of the file as its owner.

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 04 Dec 2024 18:12:49 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -17,3 +17,35 @@
          python3-tz,
          python3-winrm,
          python3-yaml
+
+# integration tests that can run as unprivileged user + with sudo
+Test-Command: ./debian/tests/ansible-test-integration.py --default-tests --requires-apt-mark-manual --requires-root
+Features: test-name=ansible-test-integration-default
+Depends: @,
+         acl,                       # lineinfile integration test
+         apache2-utils,             # used by subversion integration test
+         bash,                      # Many scripts have bash shebangs
+         cargo,                     # needed to build cryptography on some architectures, which some tests install from PyPI
+         debconf-utils,             # debconf
+         equivs,                    # integration test "apt"
+         file,                      # stat
+         gcc,                       # needed to build cffi on some architectures, which some tests install from PyPI
+         git,                       # used by most tests
+         gnupg,                     # integration test apt_key
+         gzip,                      # integration test git
+         iptables,                  # integration test iptables
+         libffi-dev,                # needed to build cffi on some architectures, which some tests install from PyPI
+         libfile-fcntllock-perl,    # integration test "apt"
+         libssl-dev,                # needed to build cryptography on some architectures, which some tests install from PyPI
+         libyaml-dev,               # needed to build PyYAML on some architectures, which some tests install from PyPI
+         locales,
+         lvm2,                      # integration test hardware_facts
+         openssh-server,            # integration test systemd
+         openssl,                   # integration test ansible-galaxy
+         pkg-config,                # needed to build cryptography on some architectures, which some tests install from PyPI
+         python3-apt,               # needed for checking if packages are installed
+         python3-dev,               # needed to build cffi on some architectures, which some tests install from PyPI
+         python3-distlib,           # ansible-galaxy-collection-cli
+         python3-passlib,            # grep 'setup/always/setup_passlib' test/integration/targets/*/aliases
+         python3-pexpect,            # grep 'setup/always/setup_pexpect' test/integration/targets/*/aliases
+         python3-pip,               # ansible-test-config, builtin_vars_prompt, remove again and fix tests

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/ansible-core/ ansible[-_]core-(2\.14\.[0-9]+).tar.gz

## ansible-core 2.16.3

=== debian/changelog ===
ansible-core (2.16.3-0ubuntu2) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:38:41 +0100

ansible-core (2.16.3-0ubuntu1) noble; urgency=medium

  * New upstream version 2.16.3:
    - deb822 repository support (Closes: #1057640)
    - Python 3.12 support (Closes: #1061782, LP: #2052530)
  * Refresh patches

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 07 Feb 2024 10:35:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ansible-core
-Maintainer: Lee Garrett <debian@rocketjump.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -32,7 +33,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          openssh-client | python3-paramiko (>= 2.6.0),
-         python3-distutils,
          python3-dnspython,
          python3-httplib2,
          python3-jinja2 (>= 3.0.0~),

=== debian/tests/control ===
Tests: unit
# Dependencies sourced from:
# - test/lib/ansible_test/_data/requirements/units.txt
# - test/units/requirements.txt
Depends: @,
         git,
         python3-cryptography,
         python3-jinja2,
         python3-passlib,
         python3-pexpect,
         python3-pytest,
         python3-pytest-mock,
         python3-pytest-forked,
         python3-pytest-xdist,
         python3-tz,
         python3-winrm,
         python3-yaml

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/ansible-core/ ansible-core-(2\.14\.[0-9]+).tar.gz

## ansible-core 2.17.1

=== debian/changelog ===
ansible-core (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Jun 2024 12:48:41 +0200

ansible-core (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0
  * d/control: Update VCS links after moving package to python-team
  * Remove trailing whitespace
  * Refresh patches

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 05 Jun 2024 14:59:38 +0200

ansible-core (2.16.6-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove stale dependency on python3-mock

  [ Lee Garrett ]
  * d/gbp.conf: Sign tags by default
  * Update watch file to accomodate a common upstream typo
  * New upstream version 2.16.6
  * Bump recommended ansible version to 9.5.1
  * Bump Standards-Version (no changes needed)
  * autopkgtests: Add dep to python3-systemd

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 25 Apr 2024 00:36:22 +0200

ansible-core (2.16.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1057640)
    - ansible-test supports python 3.12 now (Closes: #1061782, #1061781)
    - fixes CVE-2024-0690 (Closes: #1061156)
  * Drop dependency on python3-distutils (Closes: #1065826)
  * Drop patches applied upstream
  * Refreshen patches

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 17 Apr 2024 23:47:08 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
          python3-pytest-mock,
          python3-pytest-forked,
          python3-pytest-xdist,
+         python3-systemd,
          python3-tz,
          python3-winrm,
          python3-yaml

## ansible-core 2.17.5

=== debian/changelog ===
ansible-core (2.17.5-5) unstable; urgency=medium

  * Team upload.

  [ Bastien Roucariès ]
  * Fix CVE-2024-8775: A flaw was found in Ansible,
    where sensitive information stored in Ansible Vault
    files can be exposed in plaintext during the execution
    of a playbook. This occurs when using tasks such as
    include_vars to load vaulted variables without
    setting the no_log: true parameter, resulting in
    sensitive data being printed in the playbook output
    or logs. This can lead to the unintentional disclosure
    of secrets like passwords or API keys, compromising
    security and potentially allowing unauthorized
    access or actions.
    (Closes: #1082851)
  * Bump resolvelib dependency to << 1.2 (Closes: #1086551)

  [ Colin Watson ]
  * Disable a few tests until https://pypi.org/project/ansible-core/ is
    updated with upstream's resolvelib dependency change.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Nov 2024 16:36:31 +0000

ansible-core (2.17.5-4) unstable; urgency=medium

  * Team upload.
  * Make autopkgtests depend on libffi-dev, needed to install cffi from PyPI
    on some architectures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Oct 2024 15:58:59 +0000

ansible-core (2.17.5-3) unstable; urgency=medium

  * Team upload.
  * Make autopkgtests depend on libssl-dev and pkg-config, needed to install
    cryptography from PyPI on some architectures.
  * Make autopkgtests depend on libyaml-dev, needed to install PyYAML from
    PyPI on some architectures.
  * Make autopkgtests depend on python3-dev, needed to install cffi from
    PyPI on some architectures.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Oct 2024 23:40:22 +0000

ansible-core (2.17.5-2) unstable; urgency=medium

  * Team upload.
  * test: Make git archive prefix fit in 32-bit ssize_t.
  * Make autopkgtests depend on cargo and gcc, needed to install
    cryptography and cffi from PyPI on some architectures.
  * Skip binary_modules_linux integration test except on amd64/ppc64el.

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Oct 2024 18:29:18 +0100

ansible-core (2.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - copy module now updates mtime/atime (closes: #1078779).
  * Skip "raw" integration test, since it requires su (closes: #1079672).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Oct 2024 01:57:21 +0100

ansible-core (2.17.3-1) unstable; urgency=medium

  * New upstream version 2.17.3
  * Disable some tests on CI that time out
  * Updates to autopkgtests

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Aug 2024 14:14:20 +0200

ansible-core (2.17.2-1) unstable; urgency=medium

  * New upstream version 2.17.2
  * Add integration tests to autopkgtest

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 26 Jul 2024 02:07:36 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -16,3 +16,43 @@
          python3-tz,
          python3-winrm,
          python3-yaml
+
+# integration tests that can run as unpriviliged user
+Tests: ansible-test-integration.py
+Depends: @,
+         #bsdextrautils,
+         cargo,                     # needed to build cryptography on some architectures, which some tests install from PyPI
+         debconf-utils,             # debconf
+         file,                      # stat
+         gcc,                       # needed to build cffi on some architectures, which some tests install from PyPI
+         git,                       # used by most tests
+         #gnupg,
+         gzip,                      # integration test git
+         iptables,                  # integration test iptables
+         #iproute2,
+         libffi-dev,                # needed to build cffi on some architectures, which some tests install from PyPI
+         libssl-dev,                # needed to build cryptography on some architectures, which some tests install from PyPI
+         libyaml-dev,               # needed to build PyYAML on some architectures, which some tests install from PyPI
+         locales,
+         pkg-config,                # needed to build cryptography on some architectures, which some tests install from PyPI
+         #procps,
+         python3-apt,               # needed for checking if packages are installed
+         #python3-cryptography,
+         python3-dev,               # needed to build cffi on some architectures, which some tests install from PyPI
+         python3-distlib,           # ansible-galaxy-collection-cli
+         #python3-jinja2,
+         #python3-junit.xml,
+         #python3-mock,
+         python3-passlib,            # grep 'setup/always/setup_passlib' test/integration/targets/*/aliases
+         python3-pexpect,            # grep 'setup/always/setup_pexpect' test/integration/targets/*/aliases
+         python3-pip,               # ansible-test-config, builtin_vars_prompt, remove again and fix tests
+         #python3-pycryptodome,
+         python3-pytest,            # ansible-test-units-assertions
+         python3-pytest-mock,       # ansible-test-units-assertions
+         #python3-pytest-xdist,
+         #python3-systemd,
+         #python3-tz,
+         python3-venv,              # ansible-inventory; ./test/lib/ansible_test/_util/target/injector/virtualenv.sh
+         python3-virtualenv,        # ansible-inventory, ansible-test-installed; ./test/lib/ansible_test/_util/target/injector/virtualenv.sh
+         #python3-winrm,
+         python3-yaml,              # ansible-test-units-forked

## ansible-core 2.18.1

=== requirements.txt ===
# Note: this requirements.txt file is used to specify what dependencies are
# needed to make the package run rather than for deployment of a tested set of
# packages.  Thus, this should be the loosest set possible (only required
# packages, not optional ones, and with the widest range of versions that could
# be suitable)
jinja2 >= 3.0.0
PyYAML >= 5.1  # PyYAML 5.1 is required for Python 3.8+ support
cryptography
packaging
# NOTE: resolvelib 0.x version bumps should be considered major/breaking
# NOTE: and we should update the upper cap with care, at least until 1.0
# NOTE: Ref: https://github.com/sarugaku/resolvelib/issues/69
# NOTE: When updating the upper bound, also update the latest version used
# NOTE: in the ansible-galaxy-collection test suite.
resolvelib >= 0.5.3, < 1.1.0  # dependency resolver used by ansible-galaxy

=== test/units/requirements.txt ===
bcrypt ; python_version >= '3.11'  # controller only
passlib ; python_version >= '3.11'  # controller only
pexpect ; python_version >= '3.11'  # controller only
pywinrm ; python_version >= '3.11'  # controller only

=== debian/changelog ===
ansible-core (2.18.1-4ubuntu1) plucky; urgency=medium

  * Disable ansible-test-integration-default as it
    always results in a 'tmpfail' (LP: #2096651)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 24 Jan 2025 10:35:00 +0000

ansible-core (2.18.1-4) unstable; urgency=medium

  * Fix autopkgtest failure on i386. Thanks, Stefano!

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 28 Dec 2024 17:29:53 +0100

ansible-core (2.18.1-3) unstable; urgency=medium

  * Skip testbed setup when in dry run mode
  * integration tests: read root requirements from test
  * Fix several integration tests
  * Run autopkgtests on VMs instead of containers

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 25 Dec 2024 10:33:42 +0100

ansible-core (2.18.1-2) unstable; urgency=medium

  * Minor fix for ci.debian.net

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 21 Dec 2024 14:30:19 +0100

ansible-core (2.18.1-1) unstable; urgency=medium

  * New upstream version 2.18.1
  * Drop CVE-2024-11079 patch (applied upstream)
  * Make less autopkgtests fail that use git in some form
  * Update autopkgtest dependencies
  * Remove py3 shebang which caused ansible-test-sanity-shebang to fail
  * Update list of integration tests requiring root
  * Skip certain failing integration tests
  * autopkgtest: Preserve PYTHONPATH env when using sudo
  * Fix many CI tests to run on Debian sid as unprivileged user
  * Update testbed-setup.sh to make tests pass
  * Add workaround for copy integration test
  * unbreak pip for integration tests
  * Add debug/fix code for common permission errors
  * autopkgtests: Add workaround for missing VERSION_ID in /etc/os-release
  * d/t/ansible-test-integration.py: Show which tests would be run
  * Replace PR83844 patch with three smaller ones
  * Fix integration tests mount_facts, unarchive, user
  * Fix homedir permission in user module (and test)
  * Mark several integration tests as broken
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 20 Dec 2024 19:33:03 +0100

ansible-core (2.18.0-2) unstable; urgency=medium

  * Team upload
  * Fix CVE-2024-11079: This vulnerability allows attackers
    to bypass unsafe content protections using the
    hostvars object to reference and execute templated content.
    This issue can lead to arbitrary code execution if remote
    data or module outputs are improperly templated within playbooks
    (Closes: #1088106).

 -- Bastien Roucariès <rouca@debian.org>  Sat, 30 Nov 2024 17:21:42 +0000

ansible-core (2.18.0-1) unstable; urgency=medium

  * Team upload

  [ Bastien Roucariès ]
  * Fix CVE-2024-9902: A flaw was found in Ansible.
    The ansible-core `user` module can allow an
    unprivileged user to silently create or replace
    the contents of any file on any system path
    and take ownership of it when a privileged user
    executes the `user` module against the unprivileged
    user's home directory. If the unprivileged user
    has traversal permissions on the directory containing
    the exploited target file, they retain full control
    over the contents of the file as its owner.

  [ Colin Watson ]
  * New upstream release.
  * Remove misleading sequence numbers from files in debian/patches.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2024 15:02:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ansible-core
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,7 +14,7 @@
                python3-packaging,
 #               python3-pygments <!nodoc>,
                python3-resolvelib (>= 0.5.3~),
-               python3-resolvelib (<< 1.1.0),
+               python3-resolvelib (<< 1.2.0),
 #               python3-rstcheck <!nodoc>,
                python3-setuptools,
                python3-straight.plugin,
@@ -23,9 +24,9 @@
                python3-yaml (>= 5.1~)
 #               sphinx-common
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/ansible-core
-Vcs-Git: https://salsa.debian.org/debian/ansible-core.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible-core
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible-core.git
 Homepage: https://www.ansible.com
 
 Package: ansible-core
@@ -38,7 +39,7 @@
          python3-jinja2 (>= 3.0.0~),
          python3-netaddr,
          python3-yaml (>= 5.1~)
-Recommends: ansible (>= 7.0.0-1~),
+Recommends: ansible (>= 9.5.1-1~),
             python3-argcomplete,
             python3-cryptography,
             python3-jmespath,

=== debian/tests/control ===
Tests: unit
# Dependencies sourced from:
# - test/lib/ansible_test/_data/requirements/units.txt
# - test/units/requirements.txt
Depends: @,
         git,
         python3-cryptography,
         python3-jinja2,
         python3-passlib,
         python3-pexpect,
         python3-pytest,
         python3-pytest-mock,
         python3-pytest-forked,
         python3-pytest-xdist,
         python3-systemd,
         python3-tz,
         python3-winrm,
         python3-yaml

# integration tests that can run as unprivileged user + with sudo
Test-Command: ./debian/tests/ansible-test-integration.py --default-tests --requires-apt-mark-manual --requires-root
Features: test-name=ansible-test-integration-default
Depends: @,
         acl,                       # lineinfile integration test
         apache2-utils,             # used by subversion integration test
         bash,                      # Many scripts have bash shebangs
         #bsdextrautils,
         cargo,                     # needed to build cryptography on some architectures, which some tests install from PyPI
         debconf-utils,             # debconf
         equivs,                    # integration test "apt"
         file,                      # stat
         gcc,                       # needed to build cffi on some architectures, which some tests install from PyPI
         git,                       # used by most tests
         gnupg,                     # integration test apt_key
         gzip,                      # integration test git
         iptables,                  # integration test iptables
         #iproute2,
         libffi-dev,                # needed to build cffi on some architectures, which some tests install from PyPI
         libfile-fcntllock-perl,    # integration test "apt"
         libssl-dev,                # needed to build cryptography on some architectures, which some tests install from PyPI
         libyaml-dev,               # needed to build PyYAML on some architectures, which some tests install from PyPI
         locales,
         lvm2,                      # integration test hardware_facts
         openssl,                   # integration test ansible-galaxy
         pkg-config,                # needed to build cryptography on some architectures, which some tests install from PyPI
         #procps,
         python3-apt,               # needed for checking if packages are installed
         #python3-cryptography,
         python3-dev,               # needed to build cffi on some architectures, which some tests install from PyPI
         python3-distlib,           # ansible-galaxy-collection-cli
         #python3-jinja2,
         #python3-junit.xml,
         #python3-mock,
         python3-passlib,            # grep 'setup/always/setup_passlib' test/integration/targets/*/aliases
         python3-pexpect,            # grep 'setup/always/setup_pexpect' test/integration/targets/*/aliases

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/ansible-core/ ansible[-_]core-([0-9]+\.[0-9]+\.[0-9]+).tar.gz

## ansible-core 2.18.3

=== debian/changelog ===
ansible-core (2.18.3-1) unstable; urgency=medium

  * New upstream release
  * d/t/control: Add dep to ssh

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Feb 2025 18:23:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ansible-core
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional

=== debian/tests/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
          libyaml-dev,               # needed to build PyYAML on some architectures, which some tests install from PyPI
          locales,
          lvm2,                      # integration test hardware_facts
+         openssh-server,            # integration test systemd enables/disables it
          openssl,                   # integration test ansible-galaxy
          pkg-config,                # needed to build cryptography on some architectures, which some tests install from PyPI
          #procps,
@@ -52,4 +53,3 @@
          #python3-junit.xml,
          #python3-mock,
          python3-passlib,            # grep 'setup/always/setup_passlib' test/integration/targets/*/aliases
-         python3-pexpect,            # grep 'setup/always/setup_pexpect' test/integration/targets/*/aliases

## ansible-core 2.19~pre20250510~5347d4d4fc

=== debian/changelog ===
ansible-core (2.19~pre20250510~5347d4d4fc-1) unstable; urgency=high

  * New upstream version 2.19~pre20250510~5347d4d4fc

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 10 Apr 2025 16:37:56 +0200

ansible-core (2.19~pre20250506~462affa7c4-1) unstable; urgency=medium

  * New upstream version 2.19~pre20250506~462affa7c4
  * Package pre-release version of ansible 2.19, which should have the first
    beta release in a few days. This is because 2.19 will have longer upstream
    security support than 2.18, and 2.19 should release before trixie.
  * Drop patches (applied upstream)
    - Bump-ansible-galaxy-s-resolvelib-requirement-upperbo.patch
    - test-git-archive-prefix-32-bit.patch
    - upstream_PR84377.patch
    - upstream_PR84378.patch
    - upstream_PR84379.patch
    - upstream_PR84409.patch
    - upstream_PR84482.patch
    - upstream_PR84486.patch
  * Bump Standards-Version (no changes needed)
  * Update integration test exceptions
  * Update d/copyright to make lintian happy

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 09 Apr 2025 17:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-yaml (>= 5.1~)
 #               sphinx-common
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/ansible-core.git
 Homepage: https://www.ansible.com

## ansible-core 2.19.0~beta2

=== debian/changelog ===
ansible-core (2.19.0~beta2-1) unstable; urgency=medium

  * New upstream version 2.19.0~beta2
  * Update watch file to track beta and rc releases
  * Drop patch fixing tests (PR85007, applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 24 Apr 2025 12:55:06 +0200

ansible-core (2.19.0~beta1-2) unstable; urgency=medium

  * Update d/copyright
  * Fix test_range_templating on 32-bit architectures

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 17 Apr 2025 13:40:39 +0200

ansible-core (2.19.0~beta1-1) unstable; urgency=high

  * New upstream version 2.19.0~beta1
  * Update quilt patch meta-data
  * Update use-py3 quilt patch
  * Update lintian overrides
  * Mark ssh_agent integration test as requiring ssh
  * Add missing depends on paramiko unit test

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 15 Apr 2025 19:01:32 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
          git,
          python3-cryptography,
          python3-jinja2,
+         python3-paramiko,
          python3-passlib,
          python3-pexpect,
          python3-pytest,
+         python3-pytest-forked,
          python3-pytest-mock,
-         python3-pytest-forked,
          python3-pytest-xdist,
          python3-systemd,
          python3-tz,
          python3-winrm,
-         python3-yaml
+         python3-yaml,
 
 # integration tests that can run as unprivileged user + with sudo
 Test-Command: ./debian/tests/ansible-test-integration.py --default-tests --requires-apt-mark-manual --requires-root
